directive @bind(id: String, class: String, args: String) on OBJECT | ENUM_VALUE | FIELD_DEFINITION

directive @call(func: String, args: String) on ENUM_VALUE | FIELD_DEFINITION

directive @slice(offset: Int, limit: Int) on FIELD | FRAGMENT_SPREAD | INLINE_FRAGMENT

type Query {
  date: Date @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\DateQueryType::resolve")
  authorArchive: User @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\UserQueryType::resolve")
  search: Search @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\SearchQueryType::resolve")
  site: Site @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\SiteQueryType::resolve")
  posts: PostsQuery @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostQueryType::resolve")
  pages: PagesQuery @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostQueryType::resolve")
  categories: CategoriesQuery @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\TaxonomyQueryType::resolve")
  tags: TagsQuery @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\TaxonomyQueryType::resolve")
  customMenuItem(menu: Int, id: String): MenuItem @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\CustomMenuItemQueryType::resolveItem")
  customMenuItems(id: Int, parent: String, heading: String, include_heading: Boolean = true, ids: [String]): [MenuItem] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\CustomMenuItemQueryType::resolve")
  customUser(id: Int): User @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\CustomUserQueryType::resolveUser")
  customUsers(roles: [String], offset: Int, limit: Int, order: String, order_direction: String): [User] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\CustomUserQueryType::resolveUsers")
  file(pattern: String, offset: Int, order: String, order_direction: String): File @call(func: "YOOtheme\\Builder\\Source\\Filesystem\\Type\\FileQueryType::resolve")
  files(pattern: String, offset: Int, limit: Int, order: String, order_direction: String): [File] @call(func: "YOOtheme\\Builder\\Source\\Filesystem\\Type\\FilesQueryType::resolve")
}

type Date {
  date: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\DateType::date")
}

type User {
  name: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\UserType::name")
  nicename: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\UserType::nicename")
  nickname: String
  firstName: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\UserType::firstName")
  lastName: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\UserType::lastName")
  description: String
  email: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\UserType::email")
  registered: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\UserType::registered")
  url: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\UserType::url")
  link: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\UserType::link")
  avatar(size: String): String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\UserType::avatar")
  rolesString(separator: String): String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\UserType::rolesString")
  id: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\UserType::id")
}

type Search {
  searchword: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\SearchType::searchQuery")
  total: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\SearchType::foundPosts")
  link: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\SearchType::link")
}

type Site {
  title: String
  page_title: String
  page_locale: String @call(func: "YOOtheme\\Builder\\Source\\Type\\SiteType::resolvePageLocale")
  page_url(query: Boolean): String @call(func: "YOOtheme\\Builder\\Source\\Type\\SiteType::resolvePageUrl")
  is_guest: Int
  user: User
  request: Request @call(func: "YOOtheme\\Builder\\Source\\Type\\SiteType::resolveRequest")
  item_count: Int
}

type Request {
  url: String @call(func: "YOOtheme\\Builder\\Source\\Type\\RequestType::resolveUrl")
  method: String @call(func: "YOOtheme\\Builder\\Source\\Type\\RequestType::resolveMethod")
  scheme: String @call(func: "YOOtheme\\Builder\\Source\\Type\\RequestType::resolveScheme")
  host: String @call(func: "YOOtheme\\Builder\\Source\\Type\\RequestType::resolveHost")
  port: String @call(func: "YOOtheme\\Builder\\Source\\Type\\RequestType::resolvePort")
  path: String @call(func: "YOOtheme\\Builder\\Source\\Type\\RequestType::resolvePath")
  query: String @call(func: "YOOtheme\\Builder\\Source\\Type\\RequestType::resolveQuery")
}

type PostsQuery {
  singlePost: Post @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\SinglePostQueryType::resolve")
  singlePreviousPost(taxonomy: String): Post @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\SinglePostQueryType::resolvePreviousPost")
  singleNextPost(taxonomy: String): Post @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\SinglePostQueryType::resolveNextPost")
  customPost(id: Int, terms: [Int], users: [Int], users_operator: String, offset: Int, order: String, order_direction: String, order_alphanum: Boolean, category_include_children: String, category_operator: String, post_tag_operator: String): Post @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\CustomPostQueryType::resolvePost", args: "{\"post_type\":\"post\"}")
  customPosts(terms: [Int], users: [Int], users_operator: String, offset: Int, limit: Int, order: String, order_direction: String, order_alphanum: Boolean, category_include_children: String, category_operator: String, post_tag_operator: String): [Post] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\CustomPostQueryType::resolvePosts", args: "{\"post_type\":\"post\"}")
  archivePostSingle(offset: Int): Post @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostArchiveQueryType::resolveSingle", args: "{\"post_type\":\"post\"}")
  archivePost(offset: Int, limit: Int): [Post] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostArchiveQueryType::resolve", args: "{\"post_type\":\"post\"}")
  searchPostSingle(post_type_filter: [String], offset: Int): Post @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostSearchQueryType::resolveSingle", args: "{\"post_type\":\"post\"}")
  searchPost(post_type_filter: [String], offset: Int, limit: Int): [Post] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostSearchQueryType::resolve", args: "{\"post_type\":\"post\"}")
}

type Post {
  title: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::title")
  content(show_intro_text: Boolean): String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::content")
  teaser(show_excerpt: Boolean, show_content: Boolean): String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::teaser")
  excerpt: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::excerpt")
  date: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::date")
  modified: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::modified")
  metaString(format: String, separator: String, link_style: String, show_publish_date: Boolean, show_author: Boolean, show_comments: Boolean, show_taxonomy: String, date_format: String): String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::metaString")
  categories: [Category] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::resolveTerms", args: "{\"taxonomy\":\"category\"}")
  categoryString(separator: String, show_link: Boolean, link_style: String): String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::resolveTermString", args: "{\"taxonomy\":\"category\"}")
  tags: [PostTag] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::resolveTerms", args: "{\"taxonomy\":\"post_tag\"}")
  post_tagString(separator: String, show_link: Boolean, link_style: String): String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::resolveTermString", args: "{\"taxonomy\":\"post_tag\"}")
  featuredImage: Attachment @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::featuredImage")
  link: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::link")
  author: User @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::author")
  commentCount: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::commentCount")
  post_name: String
  id: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::id")
  sticky: Boolean @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::isSticky")
  relatedPosts(category: String, post_tag: String, author: String, offset: Int, limit: Int, order: String, order_direction: String, order_alphanum: Boolean): [Post] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::relatedPosts")
}

type Category {
  name: String
  description: String
  link: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\TaxonomyType::resolveLink")
  parent: Category @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\TaxonomyType::resolveParent", args: "{\"taxonomy\":\"category\"}")
  children(order: String, order_direction: String): [Category] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\TaxonomyType::resolveChildren", args: "{\"taxonomy\":\"category\"}")
  count: String
  slug: String
  term_id: String
  posts(offset: Int, limit: Int, order: String, order_direction: String, order_alphanum: Boolean, include_children: Boolean): [Post] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\TaxonomyType::resolvePosts", args: "{\"post_type\":\"post\"}")
}

type PostTag {
  name: String
  description: String
  link: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\TaxonomyType::resolveLink")
  count: String
  slug: String
  term_id: String
  posts(offset: Int, limit: Int, order: String, order_direction: String, order_alphanum: Boolean, include_children: Boolean): [Post] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\TaxonomyType::resolvePosts", args: "{\"post_type\":\"post\"}")
}

type Attachment {
  url: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\AttachmentType::url")
  alt: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\AttachmentType::alt")
  caption: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\AttachmentType::caption")
}

type PagesQuery {
  singlePage: Page @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\SinglePostQueryType::resolve")
  singlePreviousPage: Page @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\SinglePostQueryType::resolvePreviousPost")
  singleNextPage: Page @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\SinglePostQueryType::resolveNextPost")
  customPage(id: Int, terms: [Int], users: [Int], users_operator: String, offset: Int, order: String, order_direction: String, order_alphanum: Boolean): Page @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\CustomPostQueryType::resolvePost", args: "{\"post_type\":\"page\"}")
  customPages(terms: [Int], users: [Int], users_operator: String, offset: Int, limit: Int, order: String, order_direction: String, order_alphanum: Boolean): [Page] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\CustomPostQueryType::resolvePosts", args: "{\"post_type\":\"page\"}")
  searchPageSingle(post_type_filter: [String], offset: Int): Page @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostSearchQueryType::resolveSingle", args: "{\"post_type\":\"page\"}")
  searchPage(post_type_filter: [String], offset: Int, limit: Int): [Page] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostSearchQueryType::resolve", args: "{\"post_type\":\"page\"}")
}

type Page {
  title: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::title")
  content(show_intro_text: Boolean): String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::content")
  teaser(show_excerpt: Boolean, show_content: Boolean): String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::teaser")
  date: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::date")
  modified: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::modified")
  metaString(format: String, separator: String, link_style: String, show_publish_date: Boolean, show_author: Boolean, show_comments: Boolean, show_taxonomy: String, date_format: String): String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::metaString")
  featuredImage: Attachment @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::featuredImage")
  link: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::link")
  author: User @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::author")
  commentCount: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::commentCount")
  post_name: String
  id: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::id")
  relatedPages(author: String, offset: Int, limit: Int, order: String, order_direction: String, order_alphanum: Boolean): [Page] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::relatedPosts")
  parent: Page @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::resolveParent")
  children(offset: Int, limit: Int, order: String, order_direction: String): [Page] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\PostType::resolveChildren")
}

type CategoriesQuery {
  taxonomyCategory: Category @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\TaxonomyArchiveQueryType::resolve")
  categoryPostSingle(offset: Int): Post @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\TaxonomyArchiveQueryType::resolvePostsSingle")
  categoryPost(offset: Int, limit: Int): [Post] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\TaxonomyArchiveQueryType::resolvePosts")
  customCategory(id: Int): Category @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\CustomTaxonomyQueryType::resolveTerm")
  customCategories(id: Int, offset: Int, limit: Int, order: String, order_direction: String): [Category] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\CustomTaxonomyQueryType::resolveTerms", args: "{\"taxonomy\":\"category\"}")
}

type TagsQuery {
  taxonomyPostTag: PostTag @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\TaxonomyArchiveQueryType::resolve")
  postTagPostSingle(offset: Int): Post @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\TaxonomyArchiveQueryType::resolvePostsSingle")
  postTagPost(offset: Int, limit: Int): [Post] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\TaxonomyArchiveQueryType::resolvePosts")
  customPostTag(id: Int): PostTag @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\CustomTaxonomyQueryType::resolveTerm")
  customTags(id: Int, offset: Int, limit: Int, order: String, order_direction: String): [PostTag] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\CustomTaxonomyQueryType::resolveTerms", args: "{\"taxonomy\":\"post_tag\"}")
}

type MenuItem {
  title: String
  image: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\MenuItemType::data")
  icon: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\MenuItemType::data")
  subtitle: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\MenuItemType::data")
  url: String
  active: Boolean
  type: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\MenuItemType::type")
  parent: MenuItem @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\MenuItemType::parent")
  children: [MenuItem] @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\MenuItemType::children")
  id: String @call(func: "YOOtheme\\Builder\\Wordpress\\Source\\Type\\MenuItemType::id")
}

type File {
  name(title_case: Boolean): String @call(func: "YOOtheme\\Builder\\Source\\Filesystem\\Type\\FileType::name")
  basename: String @call(func: "YOOtheme\\Builder\\Source\\Filesystem\\Type\\FileType::basename")
  dirname: String @call(func: "YOOtheme\\Builder\\Source\\Filesystem\\Type\\FileType::dirname")
  url: String @call(func: "YOOtheme\\Builder\\Source\\Filesystem\\Type\\FileType::url")
  path: String @call(func: "YOOtheme\\Builder\\Source\\Filesystem\\Type\\FileType::path")
  content: String @call(func: "YOOtheme\\Builder\\Source\\Filesystem\\Type\\FileType::content")
  size: String @call(func: "YOOtheme\\Builder\\Source\\Filesystem\\Type\\FileType::size")
  extension: String @call(func: "YOOtheme\\Builder\\Source\\Filesystem\\Type\\FileType::extension")
  mimetype: String @call(func: "YOOtheme\\Builder\\Source\\Filesystem\\Type\\FileType::mimetype")
  accessed: String @call(func: "YOOtheme\\Builder\\Source\\Filesystem\\Type\\FileType::accessed")
  changed: String @call(func: "YOOtheme\\Builder\\Source\\Filesystem\\Type\\FileType::changed")
  modified: String @call(func: "YOOtheme\\Builder\\Source\\Filesystem\\Type\\FileType::modified")
}

scalar Object
